Patchwork [PATCHv2,00/14] Deterministic dependencies II

login
register
mail settings
Submitter Martin Jansa
Date Oct. 5, 2013, 12:22 p.m.
Message ID <cover.1380975568.git.Martin.Jansa@gmail.com>
Download mbox
Permalink /patch/59289/
State Accepted, archived
Headers show

Pull-request

git://git.openembedded.org/openembedded-core-contrib jansa/deps

Comments

Martin Jansa - Oct. 5, 2013, 12:22 p.m.
The following changes since commit 796b7510853e71f158ad18dcea4cd1a10c7ef294:

  dbus: fix QA error building nativesdk-dbus (2013-10-04 18:25:06 +0100)

are available in the git repository at:

  git://git.openembedded.org/openembedded-core-contrib jansa/deps
  http://cgit.openembedded.org/cgit.cgi/openembedded-core-contrib/log/?h=jansa/deps

Martin Jansa (14):
  gstreamer1.0-libav: Add PACKAGECONFIG for orc
  libunique: Add PACKAGECONFIG for dbus
  aspell: Add PACKAGECONFIG for curses
  xf86-input-synaptics: Add dependency on libxtst
  xdpyinfo: Add dependency on libxcomposite
  matchbox-wm: Add dependency on libxfixes and libxcursor
  telepathy-mission-control: Add PACKAGECONFIG for upower and
    connectivity
  tcl: Add dependency on zlib
  wget: Add dependency on libpcre
  x11vnc: Add PACKAGECONFIG for xinerama
  glib-networking: Add PACKAGECONFIG for p11-kit
  lame: Add dependency on ncurses
  subversion: Add dependency on file for libmagic
  systemd: Add PACKAGECONFIG for cryptsetup

 .../telepathy/telepathy-mission-control_5.15.0.bb            |  8 ++++++++
 meta/recipes-core/glib-networking/glib-networking_2.36.2.bb  |  3 +++
 meta/recipes-core/systemd/systemd_206.bb                     |  1 +
 meta/recipes-devtools/subversion/subversion_1.7.10.bb        |  2 +-
 meta/recipes-devtools/tcltk/tcl_8.6.0.bb                     |  2 +-
 meta/recipes-extended/wget/wget.inc                          |  2 +-
 meta/recipes-gnome/libunique/libunique_1.1.6.bb              |  5 ++++-
 meta/recipes-graphics/matchbox-wm/matchbox-wm_1.2.bb         |  2 +-
 meta/recipes-graphics/matchbox-wm/matchbox-wm_git.bb         |  2 +-
 meta/recipes-graphics/x11vnc/x11vnc_0.9.13.bb                |  1 +
 meta/recipes-graphics/xorg-app/xdpyinfo_1.3.1.bb             |  2 +-
 .../xorg-driver/xf86-input-synaptics_1.7.1.bb                |  2 +-
 .../recipes-graphics/xorg-driver/xf86-input-synaptics_git.bb |  2 +-
 meta/recipes-multimedia/gstreamer/gstreamer1.0-libav.inc     |  1 +
 meta/recipes-multimedia/lame/lame_3.99.5.bb                  |  2 ++
 meta/recipes-support/aspell/aspell_0.60.6.1.bb               | 12 ++++++++----
 16 files changed, 36 insertions(+), 13 deletions(-)
Ross Burton - Oct. 7, 2013, 9:32 a.m.
On 5 October 2013 13:22, Martin Jansa <martin.jansa@gmail.com> wrote:
> Martin Jansa (14):
>   gstreamer1.0-libav: Add PACKAGECONFIG for orc
>   libunique: Add PACKAGECONFIG for dbus
>   aspell: Add PACKAGECONFIG for curses
>   xf86-input-synaptics: Add dependency on libxtst
>   xdpyinfo: Add dependency on libxcomposite
>   matchbox-wm: Add dependency on libxfixes and libxcursor
>   telepathy-mission-control: Add PACKAGECONFIG for upower and
>     connectivity
>   tcl: Add dependency on zlib
>   wget: Add dependency on libpcre
>   x11vnc: Add PACKAGECONFIG for xinerama
>   glib-networking: Add PACKAGECONFIG for p11-kit
>   lame: Add dependency on ncurses
>   subversion: Add dependency on file for libmagic
>   systemd: Add PACKAGECONFIG for cryptsetup

All looks good to me.  Worth noting that the telepathy-mission-control
changes will need changing when 5.15.1 onwards is integrated, and it's
clear that matchbox-wm needs to share a .inc file.

Signed-off-by: Ross Burton <ross.burton@intel.com>

Ross
Martin Jansa - Oct. 7, 2013, 1:16 p.m.
On Mon, Oct 07, 2013 at 10:32:13AM +0100, Burton, Ross wrote:
> On 5 October 2013 13:22, Martin Jansa <martin.jansa@gmail.com> wrote:
> > Martin Jansa (14):
> >   gstreamer1.0-libav: Add PACKAGECONFIG for orc
> >   libunique: Add PACKAGECONFIG for dbus
> >   aspell: Add PACKAGECONFIG for curses
> >   xf86-input-synaptics: Add dependency on libxtst
> >   xdpyinfo: Add dependency on libxcomposite
> >   matchbox-wm: Add dependency on libxfixes and libxcursor
> >   telepathy-mission-control: Add PACKAGECONFIG for upower and
> >     connectivity
> >   tcl: Add dependency on zlib
> >   wget: Add dependency on libpcre
> >   x11vnc: Add PACKAGECONFIG for xinerama
> >   glib-networking: Add PACKAGECONFIG for p11-kit
> >   lame: Add dependency on ncurses
> >   subversion: Add dependency on file for libmagic
> >   systemd: Add PACKAGECONFIG for cryptsetup
> 
> All looks good to me.  Worth noting that the telepathy-mission-control
> changes will need changing when 5.15.1 onwards is integrated, and it's
> clear that matchbox-wm needs to share a .inc file.

matchbox-wm and telepathy-mission-control weren't merged, should I send
v3 for them?
Richard Purdie - Oct. 7, 2013, 8:57 p.m.
On Mon, 2013-10-07 at 15:16 +0200, Martin Jansa wrote:
> On Mon, Oct 07, 2013 at 10:32:13AM +0100, Burton, Ross wrote:
> > On 5 October 2013 13:22, Martin Jansa <martin.jansa@gmail.com> wrote:
> > > Martin Jansa (14):
> > >   gstreamer1.0-libav: Add PACKAGECONFIG for orc
> > >   libunique: Add PACKAGECONFIG for dbus
> > >   aspell: Add PACKAGECONFIG for curses
> > >   xf86-input-synaptics: Add dependency on libxtst
> > >   xdpyinfo: Add dependency on libxcomposite
> > >   matchbox-wm: Add dependency on libxfixes and libxcursor
> > >   telepathy-mission-control: Add PACKAGECONFIG for upower and
> > >     connectivity
> > >   tcl: Add dependency on zlib
> > >   wget: Add dependency on libpcre
> > >   x11vnc: Add PACKAGECONFIG for xinerama
> > >   glib-networking: Add PACKAGECONFIG for p11-kit
> > >   lame: Add dependency on ncurses
> > >   subversion: Add dependency on file for libmagic
> > >   systemd: Add PACKAGECONFIG for cryptsetup
> > 
> > All looks good to me.  Worth noting that the telepathy-mission-control
> > changes will need changing when 5.15.1 onwards is integrated, and it's
> > clear that matchbox-wm needs to share a .inc file.
> 
> matchbox-wm and telepathy-mission-control weren't merged, should I send
> v3 for them?

The others seemed obvious so I took them into the 1.5 release. Those two
were not as obvious so they didn't make the release. I haven't got
around to worrying about 1.6 patches yet...

Cheers,

Richard